Pivotal Greenplum for Kubernetes 1.0.1 Release Notes

Greenplum for Kubernetes 1.0.1 is a maintenance release that contains minor fixes.

Refer to the Pivotal Greenplum Database documentation for detailed information on Pivotal Greenplum Database.

Components

Pivotal Greenplum for Kubernetes includes the Pivotal Greenplum Database version identified below:

Greenplum for Kubernetes Version Pivotal Greenplum Database Version
1.0.1, 1.0.0 5.17.0
0.8.0 5.16.0
0.7.0 5.15.1
0.6.0 5.12.1
0.5.0 5.12.1
0.4.0 5.11.3
0.3.0 5.11.3
0.2.0 5.11.0
0.1.0 5.10.0

Supported Platforms

Pivotal Greenplum for Kubernetes 1.0.1 is supported on the following platforms:

  • Pivotal Container Service (PKS) 1.3.1 (contains Kubernetes 1.12.4)
  • Google Kubernetes Engine (GKE) Kubernetes 1.12.4

Additional Kubernetes environments, such as Minikube, can be used for testing or demonstration purposes.

Changes from Previous Release

This release introduces the following changes:

  • Open source components were updated to their latest patch versions.
  • Greenplum for Kubernetes was updated with minor bug fixes.

Upgrading

To upgrade your existing Greenplum for Kubernetes operator and clusters, follow the instructions in Upgrading Greenplum for Kubernetes.

Differences from Pivotal Greenplum

  • Greenplum for Kubernetes does not support the built-in SNMP monitoring features that are available in Pivotal Greenplum Database.

  • The gppkg utility is not used with Greenplum for Kubernetes to install optional Greenplum extensions (.gppkg file extensions). Instead, packages such as MADlib are automatically installed as part of the distribution. See Known Issues and Limitations for more information about package availability.

Known Issues and Limitations

  • Some common Greenplum Database backup and restore utilities are not supported. This includes gpcopy, the gpbackup and gprestore utilities, and the related plug-ins for s3 and Data Domain Boost.
  • Greenplum Database connector functionality is not supported. This includes Greenplum Streaming Server (gpss) and its API, Greenplum-Informatica Connector, Greenplum-Spark Connector, and the Greenplum-Kafka Integration.
  • Pivotal extension framework (PXF) and its associated plug-ins are not supported.
  • Greenplum for Kubernetes does not currently support cluster monitoring with Greenplum Command Center, the gpperfmon database, or related utilities. Use system-level monitoring tools such as Prometheus and Grafana until Greenplum Command Center support is available.
  • The PL/R, PL/Java, PostGIS, and Python Data Science packages are not yet provided with Greenplum for Kubernetes.
  • The Greenplum Operator does not yet support changing all attribute values of a deployed Greenplum cluster. See Greenplum Operator Manifest File for details.